GNU bug report logs - #25752
go incremental builds broken

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Hank Donnay <hdonnay@HIDDEN>; Keywords: moreinfo; dated Thu, 16 Feb 2017 15:06:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Added tag(s) moreinfo. Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25752 <at> debbugs.gnu.org:


Received: (at 25752) by debbugs.gnu.org; 14 Sep 2021 12:47:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 08:47:03 2021
Received: from localhost ([127.0.0.1]:47895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ7q3-0007pQ-A8
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 08:47:03 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:44872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1mQ7px-0007fp-PS
 for 25752 <at> debbugs.gnu.org; Tue, 14 Sep 2021 08:46:58 -0400
Received: by mail-wr1-f54.google.com with SMTP id d6so19986684wrc.11
 for <25752 <at> debbugs.gnu.org>; Tue, 14 Sep 2021 05:46:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=FpkoLT3kFGCWvSFX4hS73cL+84vfwfF+nAmEko1ygao=;
 b=dPm82v3Dmgl4wcTDmqYCxl7zrgAfuZYSwFWPe9b7f7fkI7TeQKOjQG/+cJbdHb8OXT
 e3L6FKtc+lnb3BjXpbad9o2rFUXNtPDriebu7koW/OYCfCnoOBgya1LN/6/AJ7R/ILZA
 OKjWJw/dZE1itaXx0U4Ew5IzlctrkxM1S4AzOGH0V42BPliZyc8afd0A7MCNsd+JUPzv
 hl+30I6ef+izqR7St4Xl6w/OpXykS0X8VZFvoYLsKuT/46A7wbuPBlMArzEuNvu+rLXH
 NxhbBZ4ZItqgueV7c3poQDvDPgZuy2qPHE54w1nGlOPt5eZtRCcUxmztcis/df93/XPn
 G9Jw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=FpkoLT3kFGCWvSFX4hS73cL+84vfwfF+nAmEko1ygao=;
 b=JGuQcGucpyZIuigTqfDlq5VZRKiFnkDcBoW6A2aJbkS/QZpOcdoKcHVwZ+QoIs0rmY
 6WHjbYkZYzP6U4vNTu4QMleyfmLEDe9g8K4HeYnlaxi25hvfryO2VG7vGdmBYfR0N4sP
 k5+jy/2bPaFGEqN9lIyMDGdW6iRf6KRv28vosTZ+VUNlFfsnsm/Bqg5+UcuO/38R/kcI
 /pBHHl2828zdkCmcnKZN6WGEPIpBxgYztt0JxQhzNQMCAb3NGsWpTUO0ehavRZDIkvBR
 Kk0E1w5y74Drxa1Ec+rww7Q6DDW5y0txl5FB2wFKYV2IQp4PvcwBUM318ROQCe3WGhDl
 JaQw==
X-Gm-Message-State: AOAM530O/0EidtG9M+nT7/M7jkNckWI/OvHo5EDvmXlIrnSiBm/fhfK4
 Z7FidrziVcQ7FV66Gr/exe0=
X-Google-Smtp-Source: ABdhPJysqryz4YV9zHNNqnYKI5yy6hlr3cqgkqZmGvdOrzFNjBCixpQeRsHC3cxf0O6mmvxlvPSh5g==
X-Received: by 2002:adf:df0c:: with SMTP id y12mr18657895wrl.155.1631623612088; 
 Tue, 14 Sep 2021 05:46:52 -0700 (PDT)
Received: from lili (roam-nat-fw-prg-194-254-61-46.net.univ-paris-diderot.fr.
 [194.254.61.46])
 by smtp.gmail.com with ESMTPSA id d9sm12931046wrb.36.2021.09.14.05.46.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 14 Sep 2021 05:46:51 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: bug#25752: go incremental builds broken
References: <CAD4UWkjnkSBYmAfk+E5QAvO9H29Y1xS2vu_h8eB3ZypJ=7NHwg@HIDDEN>
 <handler.25752.B.14872575426869.ack <at> debbugs.gnu.org>
 <CAD4UWkjG0POAOYM-E90k2UDFFhnro1s5wd3qT1=pZPMqhOLTXw@HIDDEN>
 <20170225155814.GB3227@jasmine> <86mtyavq9d.fsf@HIDDEN>
 <X90fuo+5BdnG7q8P@HIDDEN>
Date: Tue, 14 Sep 2021 12:43:03 +0200
In-Reply-To: <X90fuo+5BdnG7q8P@HIDDEN> (Leo Famulari's message of "Fri,
 18 Dec 2020 16:31:38 -0500")
Message-ID: <86zgsftp3c.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25752
Cc: 25752 <at> debbugs.gnu.org, Hank Donnay <hdonnay@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Fri, 18 Dec 2020 at 16:31, Leo Famulari <leo@HIDDEN> wrote:
> On Fri, Dec 18, 2020 at 09:00:14PM +0100, zimoun wrote:
>> I suspect closing this bug had been forgotten.  If yes, feel free to
>> close it.  Otherwise, I do not understand what is the next actionable
>> step.
>
> I don't think this bug has been fixed, although I have not checked.
> Currently, Go incremental builds and library re-use is not functional in
> Guix, unless I missed a new development.

What is the status of this bug?  Since I am not using Go at all, it is
hard for me to have a reproducer.  Is it possible to provide a
reproducer?  Thanks.

Cheers,
simon

PS: I asked the same thing 13 weeks ago.  Therefore, without any answer
and giving this bug is really old not so much commented, I propose to
close it.




Information forwarded to bug-guix@HIDDEN:
bug#25752; Package guix. Full text available.

Message received at 25752 <at> debbugs.gnu.org:


Received: (at 25752) by debbugs.gnu.org; 9 Jun 2021 21:43:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 09 17:43:54 2021
Received: from localhost ([127.0.0.1]:34802 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lr5zN-0003ZD-Uo
	for submit <at> debbugs.gnu.org; Wed, 09 Jun 2021 17:43:54 -0400
Received: from mail-wm1-f49.google.com ([209.85.128.49]:36624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lr5zL-0003Ym-5g
 for 25752 <at> debbugs.gnu.org; Wed, 09 Jun 2021 17:43:51 -0400
Received: by mail-wm1-f49.google.com with SMTP id
 h11-20020a05600c350bb02901b59c28e8b4so4750760wmq.1
 for <25752 <at> debbugs.gnu.org>; Wed, 09 Jun 2021 14:43:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=AFkhNmPbuWHSnWwmadpY1n1GL0Cb7YWbJUW1U4DsPTo=;
 b=hr+h/I+CuI4E6fZhx3RojGRYNxkx2dvWCS+OMGNywtIq1DS3OAp7SDzZ/ZZJcKHrBO
 9KwRs9Aj/7ejbHx280dQ77uxWNylf9zpmxyDs/7SKYgUKYysVXRGDz+cqCwuwQwWEvux
 mWH/ots1YcmsSvr4M1MaIcde4Mki9ran6hnZe/4hDZ7NnoKLmOQUaFzQV+zfggNmBoBC
 y60ADoE8CeZ8jC4IUPxKxfkY0O1cOpPLaWVwrQBnEquxcUg6Dt2ryfl6PTPAvIyFvw9O
 uZAUzR38hjQWEtPq5RpI2/em5K+jE+oMB9zfe423R2DC4evcw6UzThURJvKkbQtV6dVf
 Bz2Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=AFkhNmPbuWHSnWwmadpY1n1GL0Cb7YWbJUW1U4DsPTo=;
 b=Xn8B4T5471vf8bzxstYSZU/5/W/kqsmFxYdtZf4RnAsBVI2fwf2vc2/By+MhveSWu/
 Qsp+aHbkyH4RVQzSnlrnLuTn/CJUb/o6bebqcThRfL+3fdQR23w1PHz3+vPjAOmAAZyR
 FUHmp/eFJwBhRPMz6PCz+0nJiv6FxGErSoQlaKeEUKugg0pdHTpa9xcZShbRoMaYL4gm
 U4AQC4fGQQAE11SW/Kwg/s/1F2A4wk+k3hcdup5nOd3ODVHlovcI5/qxtBuTme0I8nVK
 tE2+rziPWReYvZGtDGKNWyhHj1v16JqOaTsIV1+FfUvvdbdmB73YWlnSE+r8MpLpzTpZ
 swUw==
X-Gm-Message-State: AOAM530+DMPB+vFVg/UCN/E+V28p9R6aH13n5uxWyuS93vu221xZkRy1
 nbRBeZZSWl7MSKClJPS1ibI=
X-Google-Smtp-Source: ABdhPJyWIjK5aRmpZvj1nKtjh4SNKd4WLzKpdDsncSuruSKu1EbQPdho+4OCoyBwgE6cBc8scsd+9Q==
X-Received: by 2002:a05:600c:190c:: with SMTP id
 j12mr1876578wmq.42.1623275025426; 
 Wed, 09 Jun 2021 14:43:45 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id f13sm4510143wmg.7.2021.06.09.14.43.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 09 Jun 2021 14:43:45 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Efraim Flashner <efraim@HIDDEN>
Subject: Re: bug#25752: Acknowledgement (go incremental builds broken)
References: <CAD4UWkjnkSBYmAfk+E5QAvO9H29Y1xS2vu_h8eB3ZypJ=7NHwg@HIDDEN>
 <handler.25752.B.14872575426869.ack <at> debbugs.gnu.org>
 <CAD4UWkjG0POAOYM-E90k2UDFFhnro1s5wd3qT1=pZPMqhOLTXw@HIDDEN>
 <20170225155814.GB3227@jasmine> <86mtyavq9d.fsf@HIDDEN>
 <X90fuo+5BdnG7q8P@HIDDEN> <86im83tzd3.fsf@HIDDEN>
 <X/yujodIHrnX0s3T@3900XT>
Date: Wed, 09 Jun 2021 23:38:50 +0200
In-Reply-To: <X/yujodIHrnX0s3T@3900XT> (Efraim Flashner's message of "Mon, 11
 Jan 2021 22:01:18 +0200")
Message-ID: <86v96mlnv9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25752
Cc: 25752 <at> debbugs.gnu.org, Hank Donnay <hdonnay@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Mon, 11 Jan 2021 at 22:01, Efraim Flashner <efraim@HIDDEN> wrote:
> On Mon, Jan 11, 2021 at 01:46:48PM +0100, zimoun wrote:
>> On Fri, 18 Dec 2020 at 16:31, Leo Famulari <leo@HIDDEN> wrote:
>> 
>> > I don't think this bug has been fixed, although I have not checked.
>> > Currently, Go incremental builds and library re-use is not functional in
>> > Guix, unless I missed a new development.
>> 
>> Thanks.  Could you provide a Go example for reproducing?  Well, a
>> reproducer to track what could be wrong on the grafting mechanism for
>> Go.  If I understand correctly.
>> 
>
> I actually spent a bit of time on this today/yesterday. I modified the
> go-build-system to copy the pkg and src folders from build to build
> (instead of just the src folders) and the pkg folders were ignored.
> Upstream documentation isn't clear about when the pkg folder is used and
> when it is ignored.
>
> One thing I did try was to set the pkgdir to (string-append (getenv
> "GOROOT") "/pkg"), but then it didn't find the pkg folder from go:out. I
> didn't try copying go:out/pkg to GOROOT/pkg to see if that would fix it;
> I assumed that even if it did work we wouldn't want to propagate all of
> go with the go packages.

What is the status of this bug?  Since I am not using Go at all, it is
hard for me to have a reproducer.  Is it possible to provide a
reproducer?  Thanks.

Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#25752; Package guix. Full text available.

Message received at 25752 <at> debbugs.gnu.org:


Received: (at 25752) by debbugs.gnu.org; 11 Jan 2021 20:02:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 15:02:10 2021
Received: from localhost ([127.0.0.1]:58332 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kz3OD-0003zC-QG
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 15:02:10 -0500
Received: from flashner.co.il ([178.62.234.194]:53732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <efraim@HIDDEN>) id 1kz3OB-0003yf-85
 for 25752 <at> debbugs.gnu.org; Mon, 11 Jan 2021 15:02:08 -0500
Received: from localhost (unknown [5.102.238.249])
 by flashner.co.il (Postfix) with ESMTPSA id D1399401FA;
 Mon, 11 Jan 2021 20:02:00 +0000 (UTC)
Date: Mon, 11 Jan 2021 22:01:18 +0200
From: Efraim Flashner <efraim@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#25752: Acknowledgement (go incremental builds broken)
Message-ID: <X/yujodIHrnX0s3T@3900XT>
References: <CAD4UWkjnkSBYmAfk+E5QAvO9H29Y1xS2vu_h8eB3ZypJ=7NHwg@HIDDEN>
 <handler.25752.B.14872575426869.ack <at> debbugs.gnu.org>
 <CAD4UWkjG0POAOYM-E90k2UDFFhnro1s5wd3qT1=pZPMqhOLTXw@HIDDEN>
 <20170225155814.GB3227@jasmine> <86mtyavq9d.fsf@HIDDEN>
 <X90fuo+5BdnG7q8P@HIDDEN> <86im83tzd3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha512;
 protocol="application/pgp-signature"; boundary="I5Swi6x/WluWq40r"
Content-Disposition: inline
In-Reply-To: <86im83tzd3.fsf@HIDDEN>
X-PGP-Key-ID: 0x41AAE7DCCA3D8351
X-PGP-Key: https://flashner.co.il/~efraim/efraim_flashner.asc
X-PGP-Fingerprint: A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 25752
Cc: 25752 <at> debbugs.gnu.org, Hank Donnay <hdonnay@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--I5Swi6x/WluWq40r
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Jan 11, 2021 at 01:46:48PM +0100, zimoun wrote:
> Hi Leo,
>=20
> On Fri, 18 Dec 2020 at 16:31, Leo Famulari <leo@HIDDEN> wrote:
>=20
> > I don't think this bug has been fixed, although I have not checked.
> > Currently, Go incremental builds and library re-use is not functional in
> > Guix, unless I missed a new development.
>=20
> Thanks.  Could you provide a Go example for reproducing?  Well, a
> reproducer to track what could be wrong on the grafting mechanism for
> Go.  If I understand correctly.
>=20

I actually spent a bit of time on this today/yesterday. I modified the
go-build-system to copy the pkg and src folders from build to build
(instead of just the src folders) and the pkg folders were ignored.
Upstream documentation isn't clear about when the pkg folder is used and
when it is ignored.

One thing I did try was to set the pkgdir to (string-append (getenv
"GOROOT") "/pkg"), but then it didn't find the pkg folder from go:out. I
didn't try copying go:out/pkg to GOROOT/pkg to see if that would fix it;
I assumed that even if it did work we wouldn't want to propagate all of
go with the go packages.

--=20
Efraim Flashner   <efraim@HIDDEN>   =D7=90=D7=A4=D7=A8=D7=99=D7=9D =
=D7=A4=D7=9C=D7=A9=D7=A0=D7=A8
GPG key =3D A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

--I5Swi6x/WluWq40r
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCgAdFiEEoov0DD5VE3JmLRT3Qarn3Mo9g1EFAl/8rosACgkQQarn3Mo9
g1EbwxAAvkZuax5OBUTzbjtqMxsU7f8NDTekN5HccR6A4/W2OcGQst5wW2K22jEK
jtDXThHCzPPmap44RXs4il5J+23Ypy0qf8YlaFi5ieVMVSS9jgM4HiWcBuBZBTM2
N+4YL7Bu9jNpucYINIJtLY+4+cDIdsEMce0Re7MkD4+QAdlTchh4PxEmyf9iiCCa
TKkBsWehlw/j22dTCjpPUrQp109fyE+No1qFUQ+ie6dkq96BsNJMWKF1QcSIdkxm
hQ//eESzcJUWeJfr0uaaesEl1YYHumot0nor5RI1P5e+VCC2SkRpEhasubrSlpxq
QnPvjjQactm6krM0QWqzCK7Gkj+U9ThuXILAFNSyvzIH4QueMWXtYLM/PdmzFItY
zSZ/C8/vMqh0XvqLDDyjGejcA3o95MaASo+hGrK4NlXdiyeLOOqH3Fj9dG0ipV3P
iE72yS3lxrWK5x6zre2FNv3Gv04tLsKRtdQ7bzcumQ1eiDOq/ReHQf1vT41XKA2q
DNVR35Q85wqP8OHHFoCSJ4BIg1O5gn69iHresmo7+TK03ul2IIfHpxTQEpxIZVhM
HqRcsKEPjNgx++7vUyAoSOOMJxJTL+Feto3tNMrwmukfiE58/rEn6sLsi4WFa2YW
Qpaj5Jql8G7lF7RiFJO58HOS1G3TQKuG+x/gWGvLBF6uBoDp9n4=
=Clx4
-----END PGP SIGNATURE-----

--I5Swi6x/WluWq40r--




Information forwarded to bug-guix@HIDDEN:
bug#25752; Package guix. Full text available.

Message received at 25752 <at> debbugs.gnu.org:


Received: (at 25752) by debbugs.gnu.org; 11 Jan 2021 12:56:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 11 07:56:57 2021
Received: from localhost ([127.0.0.1]:56012 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kywkj-0004sa-I4
	for submit <at> debbugs.gnu.org; Mon, 11 Jan 2021 07:56:57 -0500
Received: from mail-wr1-f45.google.com ([209.85.221.45]:46194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kywkg-0004sH-RX
 for 25752 <at> debbugs.gnu.org; Mon, 11 Jan 2021 07:56:55 -0500
Received: by mail-wr1-f45.google.com with SMTP id d13so16256255wrc.13
 for <25752 <at> debbugs.gnu.org>; Mon, 11 Jan 2021 04:56:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=qi+zVeHkfKAiU+dLEnCbqvl6KH1QdvshYqFcywu7mJ8=;
 b=nACQ5ta4RyBOxX4O+CGHCjRdnTXkQov/EIFABJqs5o864hIka4Aalsee8JJbzPcDYM
 fuS9xeIjUXW0wVmXV+lgVSRPVINHv1RRgbExVrlOK7rLXjKGb6iv65oyh7rDFBH2tG4C
 J/0Z5F+oDnQQvsu+rG7Cyugf6asCfEWPkQSFxeEtN0Hq0UQDQnoVYZ4mw9t4MWLGyJqz
 kQcmtGwTpRqb85OKlWo+Ybr3RC8KwExJEMmo0WDQpxB65LyZIAaSzLxVtd2tvQVcbLo+
 nfbSwp70iKBwSLdW/zL1p+ERgg2FaJRcPIuOKAr3p1uzuzw/WJDjQ2UFziSogPl/43VT
 WjhQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=qi+zVeHkfKAiU+dLEnCbqvl6KH1QdvshYqFcywu7mJ8=;
 b=nXDk+hF94oIdNPv5MCtE0LlHTYZbxHTCw11LTLgfoYBwAP6UoG+2szF1b6nqx6ABR+
 7ulFsUiAY3CEHqQU3gaZeUSHsMaNfouRfPszZiqBDsHhCwGywTNMN6AsWTIcRrgUDwKD
 r8FqWho55CM0FK+3wwHJJaN8iFskFrppQ/oVMF6FslmTPOBMNxKn212jtws6pyqXWSvi
 kO2t1oUDgVYCGKQaDoRyKZsPsdsgxkrZW3OM0JgWafPYyI6DyZb3frUHn+IccLSQkPO2
 BVKz/eNfNeKzdP6cBIvbdj5OdMRu1O0eYH6YCarJTWiQom44PS/jbN3TP+FMKY9H6fPn
 qpvg==
X-Gm-Message-State: AOAM531ivRQJ2p1ydEjaiWtL3r8Kc8ywBUrGX4CmUI3eVyAgF9y94cEH
 4hXf8MtEmiOMfY01HBKhm00=
X-Google-Smtp-Source: ABdhPJxVdztOINg67/OWwCyPFGtjq+fPuir34hynMuZgNSos+zckw/kQG9Cl3bHvwoqqouy1ZXkI/g==
X-Received: by 2002:a5d:6944:: with SMTP id r4mr15989084wrw.134.1610369808974; 
 Mon, 11 Jan 2021 04:56:48 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id r16sm26264673wrx.36.2021.01.11.04.56.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 11 Jan 2021 04:56:48 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#25752: Acknowledgement (go incremental builds broken)
References: <CAD4UWkjnkSBYmAfk+E5QAvO9H29Y1xS2vu_h8eB3ZypJ=7NHwg@HIDDEN>
 <handler.25752.B.14872575426869.ack <at> debbugs.gnu.org>
 <CAD4UWkjG0POAOYM-E90k2UDFFhnro1s5wd3qT1=pZPMqhOLTXw@HIDDEN>
 <20170225155814.GB3227@jasmine> <86mtyavq9d.fsf@HIDDEN>
 <X90fuo+5BdnG7q8P@HIDDEN>
Date: Mon, 11 Jan 2021 13:46:48 +0100
In-Reply-To: <X90fuo+5BdnG7q8P@HIDDEN> (Leo Famulari's message of "Fri,
 18 Dec 2020 16:31:38 -0500")
Message-ID: <86im83tzd3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25752
Cc: 25752 <at> debbugs.gnu.org, Hank Donnay <hdonnay@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Leo,

On Fri, 18 Dec 2020 at 16:31, Leo Famulari <leo@HIDDEN> wrote:

> I don't think this bug has been fixed, although I have not checked.
> Currently, Go incremental builds and library re-use is not functional in
> Guix, unless I missed a new development.

Thanks.  Could you provide a Go example for reproducing?  Well, a
reproducer to track what could be wrong on the grafting mechanism for
Go.  If I understand correctly.


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#25752; Package guix. Full text available.

Message received at 25752 <at> debbugs.gnu.org:


Received: (at 25752) by debbugs.gnu.org; 18 Dec 2020 21:31:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 18 16:31:47 2020
Received: from localhost ([127.0.0.1]:40178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqNLn-0007Jp-HG
	for submit <at> debbugs.gnu.org; Fri, 18 Dec 2020 16:31:47 -0500
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:54529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1kqNLl-0007JX-NI
 for 25752 <at> debbugs.gnu.org; Fri, 18 Dec 2020 16:31:45 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 9FB9A5C00E5;
 Fri, 18 Dec 2020 16:31:40 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Fri, 18 Dec 2020 16:31:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=mcSGZmlirsTMLqa78NTCPpsY
 JODEXxqeK9GoJAxL3uc=; b=q84uYL/V9G8L5H2IO6WQFrulaeCP7nTaTuDQlqhw
 ncOE5cWKdE5jUnh/lgw6l5bZHU9Xa1z1Qm0ExpNmLEljsokGB8ZeNQLGK+7PbLs1
 twXkaZU6iLzZAoSu8BmCsDa11aPtsKFyldg3K7R09bnnIGQCrAmbx57C8dTJ88Dj
 +EI=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=mcSGZm
 lirsTMLqa78NTCPpsYJODEXxqeK9GoJAxL3uc=; b=cg9yl5VwuFnzF1qT0WdecV
 7awCPKba381OTIX3gL6jTeHf5sHulm/K0BwlRP+LXUDR7j39LBstOV9DjDiKhe8Y
 GDp0hyDX8BqS07uPhyjkWVCcdWuPJQ0PEvEAn2/ODVSsWvXk1qfFf5p4/DRRKCMh
 9FrU2NuxNR34zrWdR6P4a/AYHaYllZpaLiTr+t1vCZM/Yeim45ZkMaMXdgoPstx7
 QU7XvzbT+EF5gUMwZh4mUx1TjHz/WXSyonbtHSTurGYC8tVSJniX3ZK2jZhUPpGb
 0jXTHTQ/jZL0v9TJkbF55CWrRjYmsYNCNRNeL5whbcKWIbFwkHiiSp08AcV8CaWg
 ==
X-ME-Sender: <xms:vB_dX3rRGE2LlkrrLL08ovLDSMtVEoDl-tANtVam969fiUywWeaPjA>
 <xme:vB_dXxrpMlA46Et3iyDHVLGD_oHMXEzg_Oj3xrNjSMiJVYGU-HiPwwNtNPYVk3uOb
 kSPM0u1453VSC-cNw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedujedrudeliedgudehudcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpeffhffvuffkfhggtggujgesthdtredttddtvdenucfhrhhomhepnfgvohcu
 hfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecuggftrfgrth
 htvghrnhepueekkedtffdvtddugeejgedtvefhueefiedvjeeitdeigedtveejvdejheff
 vefgnecukfhppeejfedrudeguddruddvjedrudegieenucevlhhushhtvghrufhiiigvpe
 dtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghmuhhlrghrihdrnhgrmhgv
X-ME-Proxy: <xmx:vB_dX0P0ckofiP6QFVxIR1fICs1gBvzR3bHgb7xX6EcQ57LAgYoNtQ>
 <xmx:vB_dX66eDYebptsypohv-iuQEDfdzZCjy1h3dE4v5Wr5-MEor2cx7g>
 <xmx:vB_dX26oCCYlxv7--p6SqubmGEJs8Mx3JKkO2GELjXHv7KgLJIT0aw>
 <xmx:vB_dX7g2gxGEgrgd14sj6sBvczxMzDSg1tg8CUStrG3ludSCvuEB3w>
Received: from localhost (c-73-141-127-146.hsd1.pa.comcast.net
 [73.141.127.146])
 by mail.messagingengine.com (Postfix) with ESMTPA id 5260C108005F;
 Fri, 18 Dec 2020 16:31:40 -0500 (EST)
Date: Fri, 18 Dec 2020 16:31:38 -0500
From: Leo Famulari <leo@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#25752: Acknowledgement (go incremental builds broken)
Message-ID: <X90fuo+5BdnG7q8P@HIDDEN>
References: <CAD4UWkjnkSBYmAfk+E5QAvO9H29Y1xS2vu_h8eB3ZypJ=7NHwg@HIDDEN>
 <handler.25752.B.14872575426869.ack <at> debbugs.gnu.org>
 <CAD4UWkjG0POAOYM-E90k2UDFFhnro1s5wd3qT1=pZPMqhOLTXw@HIDDEN>
 <20170225155814.GB3227@jasmine> <86mtyavq9d.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <86mtyavq9d.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25752
Cc: 25752 <at> debbugs.gnu.org, Hank Donnay <hdonnay@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Fri, Dec 18, 2020 at 09:00:14PM +0100, zimoun wrote:
> I suspect closing this bug had been forgotten.  If yes, feel free to
> close it.  Otherwise, I do not understand what is the next actionable
> step.

I don't think this bug has been fixed, although I have not checked.
Currently, Go incremental builds and library re-use is not functional in
Guix, unless I missed a new development.




Information forwarded to bug-guix@HIDDEN:
bug#25752; Package guix. Full text available.

Message received at 25752 <at> debbugs.gnu.org:


Received: (at 25752) by debbugs.gnu.org; 18 Dec 2020 20:03:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 18 15:03:02 2020
Received: from localhost ([127.0.0.1]:40043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqLxu-0002vM-3h
	for submit <at> debbugs.gnu.org; Fri, 18 Dec 2020 15:03:02 -0500
Received: from mail-wm1-f47.google.com ([209.85.128.47]:40432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kqLxk-0002uV-D0
 for 25752 <at> debbugs.gnu.org; Fri, 18 Dec 2020 15:02:52 -0500
Received: by mail-wm1-f47.google.com with SMTP id r4so3874741wmh.5
 for <25752 <at> debbugs.gnu.org>; Fri, 18 Dec 2020 12:02:52 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=LI2hKvPd96zr5x+BcRbul71VolO9o/Ohno2bdAvfkRk=;
 b=qCCNz/X61qkB5u3QK21GAjF4zDM/rmtunM6rihhOLf5NGCPuyv35NF3hHR6FHMPGGa
 mg9/Vo8s7xhoT6W6fyn5qNugqFxkwXqu271l2aA2wYNmiszf9iJDIw6OvJi4afVsk5zg
 1Wp/ZnIGp6A+LxAToc7g66OBwPFIr5AbujDJsmt66Tpk0FRh/Ra8H+BYwf0VYMHU8CKk
 zlWn/QsRbaAxXQdY8oWoF9kw0/Z3Qn4Jludhw/6TOmLP/a/AkY6TlkqEAdkcdX5n81gY
 Ili642FGihTSd/o4/gp80YbSHtcHMfZskYJcAC/p9XfZcx0P483b1+h0rEm2KaC0ovqo
 1Wbw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=LI2hKvPd96zr5x+BcRbul71VolO9o/Ohno2bdAvfkRk=;
 b=Hu1TgnKa8bmliMUXuOqT+zFpEcQYRxeh4kWsL2KiVvLo0ZNOPNeBz3FbQQ8QOOaZLe
 q7sSDzUhymttXsukfZitfFiB6GfLrcvOCNM9sS6XFmBZvbtbaK5cjMMhP1TXmNuNnB27
 fJ+xwWlxUH/Fwt4r4MMBommlu/skf+Q5Zo7ImLdk0/tYMc8yiMVAqqUQwHX3cUZjzqaU
 1GQOuUgakULuJ8+k/3SJvTeRsDXgL+NfmUZZQRrLae1621iS2UHnAWKCet9+GbQ3lcxR
 xr/H0OFcaUppzZwMmX2pOq0IGX/9ZbMy5k850UdwHl02g3aMUcAC5XVfA6A2CpIWRhG2
 /wYA==
X-Gm-Message-State: AOAM531Ai7U6RfgnAWZLIfOaU1L3WbuC1SO2yJCQqiRrfudnGrDYvEbm
 LnA+EQe3hjhI8rdryzHgAqLX4R/F9tE=
X-Google-Smtp-Source: ABdhPJyvZMGgK0X1P3fSLglm4iUjBFW3itlXmxQXk+UBMqex7XpG9q7td7C1chsUjCKCyrXtk31hUg==
X-Received: by 2002:a1c:204e:: with SMTP id g75mr5718277wmg.100.1608321766856; 
 Fri, 18 Dec 2020 12:02:46 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id o8sm14680697wrm.17.2020.12.18.12.02.46
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 18 Dec 2020 12:02:46 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#25752: Acknowledgement (go incremental builds broken)
References: <CAD4UWkjnkSBYmAfk+E5QAvO9H29Y1xS2vu_h8eB3ZypJ=7NHwg@HIDDEN>
 <handler.25752.B.14872575426869.ack <at> debbugs.gnu.org>
 <CAD4UWkjG0POAOYM-E90k2UDFFhnro1s5wd3qT1=pZPMqhOLTXw@HIDDEN>
 <20170225155814.GB3227@jasmine>
Date: Fri, 18 Dec 2020 21:00:14 +0100
In-Reply-To: <20170225155814.GB3227@jasmine> (Leo Famulari's message of "Sat, 
 25 Feb 2017 10:58:14 -0500")
Message-ID: <86mtyavq9d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25752
Cc: 25752 <at> debbugs.gnu.org, Hank Donnay <hdonnay@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Sat, 25 Feb 2017 at 10:58, Leo Famulari <leo@HIDDEN> wrote:
> On Fri, Feb 24, 2017 at 02:50:10PM -0500, Hank Donnay wrote:
>> After talking on IRC, it seems like grafts are the problem. Adding
>> `--no-grafts` to the above commands has them succeed.
>> 
>> The GOROOT (store location, in this case) gets encoded in the
>> generated source by the 'dist' tool, so changing that is going to
>> cause issues.
>> 
>> Is there a way to disable grafts on a per-package basis, in the definition?
>
> You can disable them on the command-line for any tool that builds
> things, using the '--no-grafts' option, which is a "Common build option"
> [0]. For example, `guix environment --ad-hoc go --no-grafts`.
>
> If you do this, you should understand that the ungrafted Go package will
> contain some serious security vulnerabilities, since we only use grafts
> to fix vulnerabilities in core packages. [1]
>
> We should figure out why this issue manifests when go is grafted, and
> fix the root cause.

I suspect closing this bug had been forgotten.  If yes, feel free to
close it.  Otherwise, I do not understand what is the next actionable
step.

<http://issues.guix.gnu.org/issue/25752>

All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#25752; Package guix. Full text available.

Message received at 25752 <at> debbugs.gnu.org:


Received: (at 25752) by debbugs.gnu.org; 7 Mar 2017 21:50:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 07 16:50:14 2017
Received: from localhost ([127.0.0.1]:45111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1clMzm-0006l5-Ia
	for submit <at> debbugs.gnu.org; Tue, 07 Mar 2017 16:50:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:46788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1clMzk-0006kr-Hj
 for 25752 <at> debbugs.gnu.org; Tue, 07 Mar 2017 16:50:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1clMzc-0002c4-5r
 for 25752 <at> debbugs.gnu.org; Tue, 07 Mar 2017 16:50:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44399)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1clMzc-0002bw-25; Tue, 07 Mar 2017 16:50:04 -0500
Received: from reverse-83.fdn.fr ([80.67.176.83]:39146 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1clMzb-0005iT-C8; Tue, 07 Mar 2017 16:50:03 -0500
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Hank Donnay <hdonnay@HIDDEN>
Subject: Re: bug#25752: go incremental builds broken
References: <CAD4UWkjnkSBYmAfk+E5QAvO9H29Y1xS2vu_h8eB3ZypJ=7NHwg@HIDDEN>
Date: Tue, 07 Mar 2017 22:50:00 +0100
In-Reply-To: <CAD4UWkjnkSBYmAfk+E5QAvO9H29Y1xS2vu_h8eB3ZypJ=7NHwg@HIDDEN>
 (Hank Donnay's message of "Thu, 16 Feb 2017 10:05:27 -0500")
Message-ID: <87fuiorc3b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 25752
Cc: 25752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Hello,

Hank Donnay <hdonnay@HIDDEN> skribis:

> The function for determining staleness is here (after the giant
> comment explaining the reasoning):
> https://golang.org/src/cmd/go/pkg.go#L1111

This method relies on the build ID to, which is defined like this (info
"(ld) Options"):

  `--build-id'
  `--build-id=3DSTYLE'
       Request the creation of a `.note.gnu.build-id' ELF note section or
       a `.buildid' COFF section.  The contents of the note are unique
       bits identifying this linked file.  STYLE can be `uuid' to use 128
       random bits, `sha1' to use a 160-bit SHA1 hash on the normative
       parts of the output contents, `md5' to use a 128-bit MD5 hash on
       the normative parts of the output contents, or `0xHEXSTRING' to
       use a chosen bit string specified as an even number of hexadecimal
       digits (`-' and `:' characters between digit pairs are ignored).
       If STYLE is omitted, `sha1' is used.

       The `md5' and `sha1' styles produces an identifier that is always
       the same in an identical output file, but will be unique among all
       nonidentical output files.  It is not intended to be compared as a
       checksum for the file's contents.  A linked file may be changed
       later by other tools, but the build ID bit string identifying the
       original linked file does not change.

       Passing `none' for STYLE disables the setting from any
       `--build-id' options earlier on the command line.

I suppose Go uses one of md5 or sha1, which is a good thing since it
allows for reproducible builds.

However, grafting breaks this, similarly to <https://bugs.gnu.org/19973>
since they change file contents without recomputing the build ID.

Having Go use --build-id=3Duuid would work around the problem, but it
would also prevent bit-reproducible builds.

Perhaps our grafting code will have to handle .note.gnu.build-id
specially.

Thoughts?

Thanks for reporting the issue,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#25752; Package guix. Full text available.

Message received at 25752 <at> debbugs.gnu.org:


Received: (at 25752) by debbugs.gnu.org; 25 Feb 2017 15:58:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 25 10:58:18 2017
Received: from localhost ([127.0.0.1]:55912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cheji-0001ZQ-LN
	for submit <at> debbugs.gnu.org; Sat, 25 Feb 2017 10:58:18 -0500
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:54139)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1chejg-0001ZH-Kl
 for 25752 <at> debbugs.gnu.org; Sat, 25 Feb 2017 10:58:17 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id DD2B420772;
 Sat, 25 Feb 2017 10:58:15 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute4.internal (MEProxy); Sat, 25 Feb 2017 10:58:15 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=famulari.name; h=
 cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc
 :x-sasl-enc; s=mesmtp; bh=MKPEO2AIlrs1gHKuuskyJojN4uU=; b=LRpBS1
 1gZ8B0RhaLzOFgANA6nWAvrBLeMHFtnlnO2Y89l5OGwiGIiQjjVOGOSKTdMBblos
 RRt6xglIcQ6Xl86jMMQlcqDHnpa59KE9Q9voHdD6Hqgnt1Hkpq5J1gne7jkiJluR
 KmGyXNE7Bq4ClLoh7P3ZPeBEKJwDgWdPVBytE=
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc:x-sasl-enc; s=smtpout; bh=MKPEO2AIlrs1gH
 KuuskyJojN4uU=; b=fe+qYfwIw7qdHlu54rVV2rstooki8nknC6hAD/l7FXEodF
 lZ5ZPargyaNb6FwJ5CCkkkdrAXnZh3iKkYW0NfPhSs5hF25qAkxN5k+/L+T6sLpn
 a4VYlXPAVQZ3BARYLaliJGowbdBpIPBep1IIEsW3/Vnktb3PE4nEnqDu9aGPY=
X-ME-Sender: <xms:l6mxWCDMrwOquv-noPTwN2dEj5dtAAy4Oo2gKp4Dp6716CTFNk5b3w>
X-Sasl-enc: Xc3ECilMw/UovNDwOrsyiHPML2f7y9xMHLywstlHfPZo 1488038295
Received: from localhost (c-73-188-17-148.hsd1.pa.comcast.net [73.188.17.148])
 by mail.messagingengine.com (Postfix) with ESMTPA id A62E37E2C2;
 Sat, 25 Feb 2017 10:58:15 -0500 (EST)
Date: Sat, 25 Feb 2017 10:58:14 -0500
From: Leo Famulari <leo@HIDDEN>
To: Hank Donnay <hdonnay@HIDDEN>
Subject: Re: bug#25752: Acknowledgement (go incremental builds broken)
Message-ID: <20170225155814.GB3227@jasmine>
References: <CAD4UWkjnkSBYmAfk+E5QAvO9H29Y1xS2vu_h8eB3ZypJ=7NHwg@HIDDEN>
 <handler.25752.B.14872575426869.ack <at> debbugs.gnu.org>
 <CAD4UWkjG0POAOYM-E90k2UDFFhnro1s5wd3qT1=pZPMqhOLTXw@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAD4UWkjG0POAOYM-E90k2UDFFhnro1s5wd3qT1=pZPMqhOLTXw@HIDDEN>
User-Agent: Mutt/1.7.2 (2016-11-26)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 25752
Cc: 25752 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Fri, Feb 24, 2017 at 02:50:10PM -0500, Hank Donnay wrote:
> After talking on IRC, it seems like grafts are the problem. Adding
> `--no-grafts` to the above commands has them succeed.
> 
> The GOROOT (store location, in this case) gets encoded in the
> generated source by the 'dist' tool, so changing that is going to
> cause issues.
> 
> Is there a way to disable grafts on a per-package basis, in the definition?

You can disable them on the command-line for any tool that builds
things, using the '--no-grafts' option, which is a "Common build option"
[0]. For example, `guix environment --ad-hoc go --no-grafts`.

If you do this, you should understand that the ungrafted Go package will
contain some serious security vulnerabilities, since we only use grafts
to fix vulnerabilities in core packages. [1]

We should figure out why this issue manifests when go is grafted, and
fix the root cause.

[0]
https://www.gnu.org/software/guix/manual/html_node/Common-Build-Options.html

[1]
https://www.gnu.org/software/guix/manual/html_node/Security-Updates.html




Information forwarded to bug-guix@HIDDEN:
bug#25752; Package guix. Full text available.

Message received at 25752 <at> debbugs.gnu.org:


Received: (at 25752) by debbugs.gnu.org; 24 Feb 2017 19:50:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 24 14:50:18 2017
Received: from localhost ([127.0.0.1]:54957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1chLsg-0002iH-8i
	for submit <at> debbugs.gnu.org; Fri, 24 Feb 2017 14:50:18 -0500
Received: from mail-qt0-f181.google.com ([209.85.216.181]:35859)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hdonnay@HIDDEN>) id 1chLse-0002hz-Ik
 for 25752 <at> debbugs.gnu.org; Fri, 24 Feb 2017 14:50:16 -0500
Received: by mail-qt0-f181.google.com with SMTP id r45so25127268qte.3
 for <25752 <at> debbugs.gnu.org>; Fri, 24 Feb 2017 11:50:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to;
 bh=DPRvYMBKbnvBu6Y/Ry7mpykJWNDWg65gR/2/aL+bcU0=;
 b=OuV5uIKxKNGbMeEuW5ayOQrbMAyQ/KF+vE+TWW+Zeo6a+a7bArZSdRhCpE/6xxD5Qp
 rj23NDy3op0VLrcXnGMT/i0GVGyp/rZ58RCVBnHaU3RfPbI+0rsQWHjVtpujLZ5t37V7
 YONLOuj9aBoxh2Hz3lvFKN/eJvFKf6H/h2gapWJ9VozSppWD5poruLYKYtK10jZE1ZZW
 US1xQ5JoqgQSgcf62ISiqkmt1pz8ZoYGQ1KwTj2aQp2dS+x602Wms0KOcwKezSPquPhS
 k/ovzeyhi6PMzxmhuq09HJcsYULHJydxUElZ4vV9EvBxSPIo7gJOoOtpGZSlxhKLpiab
 ygKA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to;
 bh=DPRvYMBKbnvBu6Y/Ry7mpykJWNDWg65gR/2/aL+bcU0=;
 b=Ho8p1KmL2C4D2At5psIq/uDlxd3/6FsQMXYPgrANVpcgODd9VcyvpiFIgnaSv4ENLe
 uyOR3eFj+h2c+UAw9zRWzgEbK4+g0kuYH34dggr9aDy+c3zG7wgGtD5ktVJZopl6IcFg
 obfd3XyOj/TSl+hCV6sDScYEL1bRdZgOgvhZb/tZ8wmplz/HBhTfcf7lrgDW3xAMYj6T
 Rinmwz93EIFh7VsDTSKgo2wyw+H7oRmbP6NZu+1YBvw7VaivLggh8f3a7xalUNRiLZv4
 GnCzdxNjvjAFj6J1Vi73gEqAO+Tj4DmViCzu3sd/6fWCVi7HlXDtaL9ymbt5d5euWEvH
 9DUQ==
X-Gm-Message-State: AMke39m4fMuTDfqFKGSt9fINtP9HeE7FdD/PCUorp4CF0QZY/eNZZiuqDuwGIYmfDp6zxS4p6Y92M3FmYkVTyg==
X-Received: by 10.200.37.199 with SMTP id f7mr4630647qtf.186.1487965810510;
 Fri, 24 Feb 2017 11:50:10 -0800 (PST)
MIME-Version: 1.0
Received: by 10.12.158.31 with HTTP; Fri, 24 Feb 2017 11:50:10 -0800 (PST)
In-Reply-To: <handler.25752.B.14872575426869.ack <at> debbugs.gnu.org>
References: <CAD4UWkjnkSBYmAfk+E5QAvO9H29Y1xS2vu_h8eB3ZypJ=7NHwg@HIDDEN>
 <handler.25752.B.14872575426869.ack <at> debbugs.gnu.org>
From: Hank Donnay <hdonnay@HIDDEN>
Date: Fri, 24 Feb 2017 14:50:10 -0500
Message-ID: <CAD4UWkjG0POAOYM-E90k2UDFFhnro1s5wd3qT1=pZPMqhOLTXw@HIDDEN>
Subject: Re: bug#25752: Acknowledgement (go incremental builds broken)
To: 25752 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 25752
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

After talking on IRC, it seems like grafts are the problem. Adding
`--no-grafts` to the above commands has them succeed.

The GOROOT (store location, in this case) gets encoded in the
generated source by the 'dist' tool, so changing that is going to
cause issues.

Is there a way to disable grafts on a per-package basis, in the definition?

On Thu, Feb 16, 2017 at 10:06 AM, GNU bug Tracking System
<help-debbugs@HIDDEN> wrote:
> Thank you for filing a new bug report with debbugs.gnu.org.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  bug-guix@HIDDEN
>
> If you wish to submit further information on this problem, please
> send it to 25752 <at> debbugs.gnu.org.
>
> Please do not send mail to help-debbugs@HIDDEN unless you wish
> to report a problem with the Bug-tracking system.
>
> --
> 25752: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25752
> GNU Bug Tracking System
> Contact help-debbugs@HIDDEN with problems




Information forwarded to bug-guix@HIDDEN:
bug#25752; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Feb 2017 15:05:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 16 10:05:42 2017
Received: from localhost ([127.0.0.1]:42345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ceNcr-0001mi-P2
	for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 10:05:41 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41233)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hdonnay@HIDDEN>) id 1ceNcq-0001mW-Ql
 for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 10:05:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hdonnay@HIDDEN>) id 1ceNck-0005bp-FF
 for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 10:05:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43414)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <hdonnay@HIDDEN>) id 1ceNck-0005bh-6v
 for submit <at> debbugs.gnu.org; Thu, 16 Feb 2017 10:05:34 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60429)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <hdonnay@HIDDEN>) id 1ceNci-0003vp-CZ
 for bug-guix@HIDDEN; Thu, 16 Feb 2017 10:05:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hdonnay@HIDDEN>) id 1ceNcg-0005ai-1e
 for bug-guix@HIDDEN; Thu, 16 Feb 2017 10:05:32 -0500
Received: from mail-qk0-x22c.google.com ([2607:f8b0:400d:c09::22c]:36284)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <hdonnay@HIDDEN>) id 1ceNcf-0005aR-PD
 for bug-guix@HIDDEN; Thu, 16 Feb 2017 10:05:29 -0500
Received: by mail-qk0-x22c.google.com with SMTP id 11so17640041qkl.3
 for <bug-guix@HIDDEN>; Thu, 16 Feb 2017 07:05:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=PDdKUPpf6irNUPhMFy6mNQw+1Texo15i5oBf7RowFBE=;
 b=gKOHA8dEx/UwmXlgMgVTSlUCxzcwWEb3BYRp3dzH0TrKzgbEi8RmRdaYmOfQH460DZ
 19Q4z21adZvOpD9F59/GmtdECQ+f8zK2WGxyX+M21BoCsOn1VzFqsrYSgEUSdmPuGD1o
 NdpbiIh7PZuzcRWf82HS11SVQ/Qsvq4OHKXLimPrA/5lB+8trqNM59e5/0S4RecpjsQG
 +e0Mayxuy/hNFAWNq3De3y6nNMooTIfocRNpYGP7V5JecJRMYVYeJ7yJ5ewn3GXlenPK
 ldvbhXcVTpvwmDcxIVTQKby6kdTnpDTVNhdZPmBy36ebIUcE4jChJMd12KJHSl77hlwS
 3SUw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=PDdKUPpf6irNUPhMFy6mNQw+1Texo15i5oBf7RowFBE=;
 b=EsVYbXUy3winFAPo3E5LC33guBEDL26RGr8B7/OEfup46+PyDiTHWkVlU47fEkotan
 4rczJ2JpO0yvcQe0BhCmGRVDr7V844AojExuHC49ztFamZXpynAkF5MP4xFwqM11EbNQ
 Gthh+WxtiYb4/DDuY5CTVTc9iV4KK6qIGuHMn0ZUysBGWhjowTv3hs7HjUNev5qjy5oF
 mKiS5mcMGwtv32ldK2sL98bA/t8WpHtbb1NmVcHHFkVRKZ97HOdga4XLpVedFfDGRHxL
 IpQ82Fo94O89PcQZ9pprZ+QVfokQMQ2hXF6S0GK5srkGFIz80s/SSbCrR7hCg0pSioWy
 si+g==
X-Gm-Message-State: AMke39k2R4rct/Pk/q1nhz9sytl0JWyFLzPgj+N0M5//NUOSlrZHVAwrPtQhoF0S7/0omGMdIlahgAlZY+5QzQ==
X-Received: by 10.55.164.70 with SMTP id n67mr1098007qke.95.1487257527445;
 Thu, 16 Feb 2017 07:05:27 -0800 (PST)
MIME-Version: 1.0
Received: by 10.12.148.145 with HTTP; Thu, 16 Feb 2017 07:05:27 -0800 (PST)
From: Hank Donnay <hdonnay@HIDDEN>
Date: Thu, 16 Feb 2017 10:05:27 -0500
Message-ID: <CAD4UWkjnkSBYmAfk+E5QAvO9H29Y1xS2vu_h8eB3ZypJ=7NHwg@HIDDEN>
Subject: go incremental builds broken
To: bug-guix@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Hello,

It seems the guix's go package is broken when the go tool is used for
incremental builds. Any attempt to use 'install' or 'build -i' results
in an attempt to write to the store. A one-liner:

    guix environment --ad-hoc go -- bash -c 'export t=$(mktemp -d); cd
$t && export GOPATH=$(pwd) GOBIN=$(pwd)/bin && go install cmd/go; cd
&& rm -rf $t'

Another command reports that (seemingly) the entire stdlib is marked as stale:

    guix environment --ad-hoc go -- bash -c 'export t=$(mktemp -d); cd
$t && export GOPATH=$(pwd) GOBIN=$(pwd)/bin && go list -f '\''{{join
.Deps "\n"}}'\'' cmd/go | xargs -n1 go list -f '\''{{if
.Stale}}{{.ImportPath}}: {{.StaleReason}}{{end}}'\''; cd && rm -rf $t'

The function for determining staleness is here (after the giant
comment explaining the reasoning):
https://golang.org/src/cmd/go/pkg.go#L1111

I don't see anything wrong with the package definition, but could be
missing something. My only hunch at this point is that something might
be modifying src/runtime/internal/sys/zversion.go, as that entire file
is included in the build ID computation.

Thanks,




Acknowledgement sent to Hank Donnay <hdonnay@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#25752; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 14 Sep 2021 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.